#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-5CI6lIGcxco74HiZolaqkH-dns-internal
key:                  dns-4.1.1-5CI6lIGcxco74HiZolaqkH-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  10b41e5cecb4b17c9076640f2aa6048f
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-5CI6lIGcxco74HiZolaqkH-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-2fFQNeGTnza76ySWZ6URG8
    attoparsec-0.14.4-9F9tnN8VDhqE7eiteCM5HG
    auto-update-0.1.6-1yAUEfTzIQmGpRS74jGsaN base-4.16.4.0
    base16-bytestring-1.0.2.0-F7DNzPbEN6Eq9b4oXyVmw
    base64-bytestring-1.2.1.0-1xOK8UIeBQ4LvatAXGjfry
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-Aj5W6XdiqgfFLTrW9uNwGR
    containers-0.6.5.1 cryptonite-0.30-ElPkBkoF3YpSH1ai7Agr
    hourglass-0.2.12-9aONn2owAGWGs0ARvV8Fik
    iproute-1.7.13-9sXZboVTvZ92XVJPK1NOus mtl-2.2.2
    network-3.1.4.0-LhtvsRHDdQTLLUvoMZ3hgi
    psqueues-0.2.8.0-FGClocpz1tmBParHu4V3Jm

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-8xOAwm5c0zm1y8SWOs5AQd
key:                  dns-4.1.1-8xOAwm5c0zm1y8SWOs5AQd
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  8a79adb02c7fee4405fe1b0942c8ee5a
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-8xOAwm5c0zm1y8SWOs5AQd
depends:
    array-0.5.4.0 async-2.2.5-2fFQNeGTnza76ySWZ6URG8
    attoparsec-0.14.4-9F9tnN8VDhqE7eiteCM5HG
    auto-update-0.1.6-1yAUEfTzIQmGpRS74jGsaN base-4.16.4.0
    base16-bytestring-1.0.2.0-F7DNzPbEN6Eq9b4oXyVmw
    base64-bytestring-1.2.1.0-1xOK8UIeBQ4LvatAXGjfry
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-ElPkBkoF3YpSH1ai7Agr
    dns-4.1.1-5CI6lIGcxco74HiZolaqkH-dns-internal
    hourglass-0.2.12-9aONn2owAGWGs0ARvV8Fik
    iproute-1.7.13-9sXZboVTvZ92XVJPK1NOus mtl-2.2.2
    network-3.1.4.0-LhtvsRHDdQTLLUvoMZ3hgi
    psqueues-0.2.8.0-FGClocpz1tmBParHu4V3Jm

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

